<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.AccidentVisaBean" />
    </data>

    <com.mcxtzhang.swipemenulib.SwipeMenuLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/ll_content"
                shape_bg_color="@{@color/white}"
                shape_radius="@{6}"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginVertical="5dp"
                android:background="@color/white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="10dp"
                android:paddingVertical="5dp">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.9"
                    android:layout_marginLeft="10dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:gravity="center_vertical">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="航班号"
                                    android:textColor="@color/text_normal"
                                    android:textStyle="bold" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="10dp"
                                    android:text="@{bean.fno}"
                                    android:textColor="@color/text_normal"
                                    android:textStyle="bold" />

                            </LinearLayout>


                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:gravity="center_vertical">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.3">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="运单号" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="10dp"
                                    android:text="@{bean.mawbno}" />

                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:gravity="center_vertical">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="填报人" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="10dp"
                                    android:text="@{bean.opid}" />

                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:gravity="center_vertical">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.5">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="填报日期" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="10dp"
                                    android:text="@{bean.opDate}" />

                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/img_pda_right" />

            </LinearLayout>


        </FrameLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="match_parent">
<!--
            <TextView
                android:id="@+id/tv_details"
                style="@style/tv_item_action"
                android:background="#facd91"
                android:text="详情" />-->

            <TextView
                android:id="@+id/tv_modify"
                style="@style/tv_item_action"
                android:background="#8313ef"
                android:text="修改" />

            <TextView
                android:id="@+id/tv_delete"
                style="@style/tv_item_action"
                android:background="#df253c"
                android:text="删除" />
            <!--<TextView
                android:id="@+id/tv_delete"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginVertical="5dp"
                android:background="@color/red"
                android:gravity="center"
                android:paddingHorizontal="6dp"
                android:text="删除"
                android:textColor="@color/white" />-->

        </androidx.appcompat.widget.LinearLayoutCompat>

    </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

</layout>